Updates a provider
Updates the configuration of the specified provider.
Authorizations
Path Parameters
Body
Request body to update oauth properties and other metadata about a provider.
Standard OAuth client ID. For more information, see: https://www.oauth.com/oauth2-servers/client-registration/client-id-secret/. For Apple, this is also known as the Service ID. Permits alphanumeric characters, dots, underscores, and hyphens.
255^[A-Za-z0-9_.-]{1,255}$"abc123.def-456"
Provider secret. The OAuth client secret for OAuth-based providers (see https://www.oauth.com/oauth2-servers/client-registration/client-id-secret/); the API key for providers that authenticate by key (e.g., trmWalletScreening, chainalysisAddressScreening); for ellipticAddressScreening, the access key and secret packed as :. On update, rotates the stored secret.
CAIP-2 Chain ID (https://github.com/ChainAgnostic/CAIPs/blob/main/CAIPs/caip-2.md)
5 - 41^[-a-z0-9]{3,8}:[-_a-zA-Z0-9]{1,32}$"eip155:1"
Response
Successful
The 'turnkey' value is deprecated and will be removed in a future version.
emailOnly, magicLink, apple, bitbucket, coinbasesocial, discord, epicgames, facebook, farcaster, github, gitlab, google, instagram, linkedin, microsoft, twitch, twitter, blocto, banxa, coinbaseOnramp, binanceOnramp, robinhoodOnramp, cryptoDotCom, moonPay, dynamic, alchemy, zerodev, telegram, turnkey, coinbaseWaas, sms, spotify, tiktok, line, steam, shopify, zksync, kraken, blockaid, passkey, okta, sendgrid, resend, trmWalletScreening, chainalysisAddressScreening, gemini, ellipticAddressScreening Standard OAuth client ID. For more information, see: https://www.oauth.com/oauth2-servers/client-registration/client-id-secret/
Provider secret. The OAuth client secret for OAuth-based providers (see https://www.oauth.com/oauth2-servers/client-registration/client-id-secret/); the API key for providers that authenticate by key (e.g., trmWalletScreening, chainalysisAddressScreening); for ellipticAddressScreening, the access key and secret packed as :.
CAIP-2 Chain ID (https://github.com/ChainAgnostic/CAIPs/blob/main/CAIPs/caip-2.md)
5 - 41^[-a-z0-9]{3,8}:[-_a-zA-Z0-9]{1,32}$"eip155:1"